package com.ruoyi.system.service;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SysWorkorder;
import com.ruoyi.system.mapper.SysWorkorderMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@DataSource(value = DataSourceType.SLAVE)
public class SysWorkorderService {
    @Autowired
    public SysWorkorderMapper sysWorkorderMapper;

    public SysWorkorder selectdeviceId(String controllerId){
        return sysWorkorderMapper.selectdeviceId(controllerId);
    }

    public Integer selectworkordercount(String companyId,String data){
        return sysWorkorderMapper.selectworkordercount(companyId,data);
    }
    public Double selectwokroderprofit(String companyId,String data){
        return sysWorkorderMapper.selectwokroderprofit(companyId,data);
    }
}
